<?php

	/*
		Plugin Name: Squeeze Question
		Description: Create professional email opt-in survey questionaire pages in your wordpress blog. 
		Version: 2.0
	*/

	add_action('template_redirect', 'redirect_to_squeezequestion', 5);
	function redirect_to_squeezequestion() {
	
		$post_type = get_query_var('post_type');
		if ($post_type == 'squeezequestion') {  
	
			if (file_exists(TEMPLATEPATH . '/single-' . $post_type . '.php')) return;
				load_template(WP_PLUGIN_DIR . '/squeezequestion' . '/optinpage.php');
			exit;
			
		}
	}

	register_activation_hook( __FILE__, 'activateWPContestPop');

	function activateWPContestPop() {
		global $wpdb;
		$table_name = $wpdb->prefix . "squeezequestion_leads";
		   
		   if($wpdb->get_var("show tables like '$table_name'") != $table_name) {
		      
		      $sql = "CREATE TABLE " . $table_name . " (
			    id INTEGER(40) UNSIGNED AUTO_INCREMENT,
			   name varchar(500),
			   email varchar(500),
			   pageID varchar(500),
			   options varchar(500),
			   UNIQUE KEY id (id)
			 );";
		
		      require_once(ABSPATH . 'wp-admin/includes/upgrade.php');
		      dbDelta($sql);
		   }


		  
	  }
	

	require_once('settings.php');

	add_action('admin_menu', 'squeezequestion_leadPanel');

	function show_squeezequestionPanel() {
			require_once(WP_PLUGIN_DIR . '/squeezequestion' .'/adminSettings.php');
		}

	function squeezequestion_leadPanel() {

	   add_menu_page('SQ Leads', 'SQ Leads', 'manage_options', 'squeezequestion', 'show_squeezequestionPanel', plugins_url().'/squeezequestion/images/favicon.png');
	}

	
?>